Issue #4 new

Dependencies cannot be resolved for plugin [webdriver]

Gregorio Belinchon
created an issue

When I try to include webdriver plugin in a project, I get this error

Loading Grails 2.1.0
groovy.lang.MissingMethodException: No signature of method: groovy.util.ConfigSlurper$_parse_closure5.legacyResolve() is applicable for argument types: (java.lang.Boolean) values: [false]
at dependencies$_run_closure1.doCall(dependencies.groovy:12)
at dependencies$_run_closure1.doCall(dependencies.groovy)
at grails.util.BuildSettings$_pluginDependencyHandler_closure12.doCall(BuildSettings.groovy:1300)
at grails.util.BuildSettings$_pluginDependencyHandler_closure12.call(BuildSettings.groovy)
at grails.util.BuildSettings.configureDependencyManager(BuildSettings.groovy:1238)
at grails.util.BuildSettings$configureDependencyManager.callCurrent(Unknown Source)
at grails.util.BuildSettings.postLoadConfig(BuildSettings.groovy:1121)
at grails.util.BuildSettings.loadConfig(BuildSettings.groovy:1018)
at grails.util.BuildSettings$loadConfig$0.callCurrent(Unknown Source)
at grails.util.BuildSettings.loadConfig(BuildSettings.groovy:1001)
at grails.util.BuildSettings$loadConfig.callCurrent(Unknown Source)
at grails.util.BuildSettings.loadConfig(BuildSettings.groovy:978)
Error WARNING: Dependencies cannot be resolved for plugin [webdriver] due to error: No signature of method: groovy.util.ConfigSlurper$_parse_closure5.legacyResolve() is applicable for argument types: (java.lang.Boolean) values: [false]
Configuring classpath.
Environment set to development....

Comments (2)

  1. jsoftb

    Getting the same error with grails 2.0.3:

    Error WARNING: Dependencies cannot be resolved for plugin [webdriver] due to error: No signature of method: groovy.util.ConfigSlurper$ legacyResolve() is applicable for argument types: (java.lang.Boolean) values: [false] (Use --stacktrace to see the full trace)

  2. jsoftb

    I have made a pull request to resolve that. Until that happens, I am using the plugin as inline plugin. You just need to replace the BuildConfig.groovy with the one on this commit in my fork: 88e2f0f

  3. Log in to comment